UbixOS V2 2.0

Data Fields
fileSystem Struct Reference

filesSystem Structure More...

`#include <vfs.h>`

Collaboration diagram for fileSystem:

## Data Fields
struct fileSystem * | next
struct fileSystem * | prev
int(* | vfsInitFS )(void *)
int(* | vfsMakeDir )(char *, void *)
int(* | vfsOpenFile )(void *, void *)
int(* | vfsRead )(void *, char *, long, long)
int(* | vfsRemDir )(char *)
int(* | vfsSync )(void)
int | vfsType
int(* | vfsUnlink )(char *, void *)
int(* | vfsWrite )(void *, char *, long, long)

## Detailed Description

filesSystem Structure

not sure if we should allow function to point to NULL

Definition at line 59 of file vfs.h.

## Field Documentation

## ◆ next

struct fileSystem* fileSystem::next

Definition at line 61 of file vfs.h.

Referenced by vfsFindFS().

## ◆ prev

struct fileSystem* fileSystem::prev

Definition at line 60 of file vfs.h.

## ◆ vfsInitFS

int(* fileSystem::vfsInitFS) (void *)

pointer to inialization routine

Definition at line 62 of file vfs.h.

Referenced by vfs_mount().

## ◆ vfsMakeDir

int(* fileSystem::vfsMakeDir) (char *, void *)

pointer to makedir routine

Definition at line 67 of file vfs.h.

Referenced by sysMkDir().

## ◆ vfsOpenFile

int(* fileSystem::vfsOpenFile) (void *, void *)

pointer to openfile routine

Definition at line 65 of file vfs.h.

Referenced by fopen().

## ◆ vfsRead

int(* fileSystem::vfsRead) (void *, char *, long, long)

pointer to read routine

Definition at line 63 of file vfs.h.

Referenced by fgetc(), and fread().

## ◆ vfsRemDir

int(* fileSystem::vfsRemDir) (char *)

pointer to remdir routine

Definition at line 68 of file vfs.h.

## ◆ vfsSync

int(* fileSystem::vfsSync) (void)

pointer to sync routine

Definition at line 69 of file vfs.h.

## ◆ vfsType

int fileSystem::vfsType

vfs type id

Definition at line 70 of file vfs.h.

Referenced by vfs_mount(), and vfsFindFS().

## ◆ vfsUnlink

int(* fileSystem::vfsUnlink) (char *, void *)

pointer to unlink routine

Definition at line 66 of file vfs.h.

## ◆ vfsWrite

int(* fileSystem::vfsWrite) (void *, char *, long, long)

pointer to write routine

Definition at line 64 of file vfs.h.

Referenced by fputc().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/vfs.h